Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.layout
Class BorderLayoutPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.layout.LayoutPresentationContext
                  com.bea.netuix.servlets.controls.layout.BorderLayoutPresentationContext

All Implemented Interfaces:
  Serializable

public class BorderLayoutPresentationContext
extends LayoutPresentationContext

Used to provide location-based access to the `PlaceholderPresentationContext` objects contained in a `BorderLayout` portal component, as well as other presentation-related attributes specific to the `BorderLayout` in use. Typically used during portal rendering via look and feel skeleton files (e.g. borderlayout.jsp).

See Also:
  `getBorderLayoutPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Field Summary
`protected static String` | `CLASS_NAME`

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Method Summary
`PlaceholderPresentationContext` | `center()` Returns the "center" `PlaceholderPresentationContext` contained within the `BorderLayout`.
`int` | `columns()` Returns the number of columns that this `BorderLayout` contains.
`PlaceholderPresentationContext` | `east()` Returns the "east" `PlaceholderPresentationContext` contained within the `BorderLayout`.
`static BorderLayoutPresentationContext` | `getBorderLayoutPresentationContext(HttpServletRequest request)` This is a convenience method for returning a reference to the one and only BorderLayoutPresentationContext.
`String` | `getLayoutStrategy()` Returns the text of the layoutStrategy attribute that corresponds to this `BorderLayout` portal component.
`PlaceholderPresentationContext` | `north()` Returns the "north" `PlaceholderPresentationContext` contained within the `BorderLayout`.
`PlaceholderPresentationContext` | `south()` Returns the "south" `PlaceholderPresentationContext` contained within the `BorderLayout`.
`PlaceholderPresentationContext` | `west()` Returns the "west" `PlaceholderPresentationContext` contained within the `BorderLayout`.

Methods inherited from class com.bea.netuix.servlets.controls.layout.LayoutPresentationContext
`getLayoutPresentationContext, getType`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getContextFromRequest, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    protected static final String CLASS_NAME

Method Detail

### center

    public PlaceholderPresentationContext center()

  Returns the "center" `PlaceholderPresentationContext` contained within the `BorderLayout`.

  Returns:
    The "center" `PlaceholderPresentationContext`, if any

### columns

    public int columns()

  Returns the number of columns that this `BorderLayout` contains. A `BorderLayout` will have a minimum of 1 column, and a maximum of 3.

  Returns:
    The number of columns of this `BorderLayout`, between 1 and 3

### east

    public PlaceholderPresentationContext east()

  Returns the "east" `PlaceholderPresentationContext` contained within the `BorderLayout`.

  Returns:
    The "east" `PlaceholderPresentationContext`, if any

### getBorderLayoutPresentationContext

    public static BorderLayoutPresentationContext getBorderLayoutPresentationContext(HttpServletRequest request)

  This is a convenience method for returning a reference to the one and only BorderLayoutPresentationContext. Note this method will only work if called from within a portal (typically, from the borderlayout.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters:
    `request` - The current HTTPServletRequest instance
  Returns:
    A reference to the current BorderLayoutPresentationContext, if any

### getLayoutStrategy

    public String getLayoutStrategy()

  Returns the text of the layoutStrategy attribute that corresponds to this `BorderLayout` portal component. Will be either `BorderLayout.LAYOUT_BY_ORDER` or `BorderLayout.LAYOUT_BY_TITLE`. `LAYOUT_BY_ORDER` will arrange the `Placeholder`s in order based on their position in the layout (e.g. the first `Placeholder` listed will be "north", the next will be "west", etc.). `LAYOUT_BY_TITLE` will arrange the `Placeholder`s based on their title. Placeholders with no title attribute or with a title attribute whose value is not one of "north", "west", "center", "east", or "south" will be ignored and not rendered. In the case of multiple placeholders with the same title, only one will be rendered - which one is not defined.

  Returns:
    The text of the layoutStrategy attribute as a String. If unspecified in the .layout file, `BorderLayout.LAYOUT_BY_ORDER` is returned.
  See Also:
    `BorderLayout#LAYOUT_BY_ORDER`, `BorderLayout#LAYOUT_BY_TITLE`

### north

    public PlaceholderPresentationContext north()

  Returns the "north" `PlaceholderPresentationContext` contained within the `BorderLayout`.

  Returns:
    The "north" `PlaceholderPresentationContext`, if any

### south

    public PlaceholderPresentationContext south()

  Returns the "south" `PlaceholderPresentationContext` contained within the `BorderLayout`.

  Returns:
    The "south" `PlaceholderPresentationContext`, if any

### west

    public PlaceholderPresentationContext west()

  Returns the "west" `PlaceholderPresentationContext` contained within the `BorderLayout`.

  Returns:
    The "west" `PlaceholderPresentationContext`, if any

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved